Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/24820/?format=api
{ "ob_id": 24820, "uuid": "01611ae0ee0f40599a719401f5f9ef37", "title": "ESA Antarctic Ice Sheet Climate Change Initiative (Antarctic_Ice_Sheet_cci): Grounding Line Locations for the Drygalski, Cook, Ninnis and Mertz Glaciers, Antarctica, 1996 - 2017, v1.0", "abstract": "Grounding line locations (GLL) data for the Drygalski, Cook, Ninnis and Mertz Glaciers in Antarctica, produced by the ESA Antarctic Ice Sheet Climate Change Initiative (CCI) project. The grounding lines have been derived from satellite observations from the ERS-1/2 and Copernicus Sentinel-1 instruments, acquired betwee 1996 and 2017.", "keywords": "", "publicationState": "removed", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "deprecated", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/24821/?format=api", "dataPath": "/neodc/esacci/ice_sheets_antarctica/data/grounding_line_locations/Drygalski_Cook_Ninnis_Mertz/v1.0/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1108, "numberOfFiles": 1, "fileFormat": "ESRI Shapefile" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/6730/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1835/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by DLR in the context of the ESA CCI Antarctic Ice Sheet project team and are archived on the ENVEO Cryoportal (http://cryoportal.enveo.at/data/) They have been supplied to CEDA in the context of the ESA CCI Open Data Portal Project.", "removedDataTime": "2018-05-15T16:26:08", "removedDataReason": "Request of data provider", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101610/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101614/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101609/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101611/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101608/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101613/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/101612/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193986/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193987/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/193988/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2534/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_icesheets_antarctic_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }